<template>
	<view class="content">
		<view class="one">
			<image :src="basicInfo.logo_url&&basicInfo.logo_url.length>0?basicInfo.logo_url[0].url:''" mode="aspectFit">
			</image>
		</view>
		<view class="two">
			<view class="two_1">
				抵制不良游戏，拒绝盗版游戏。
			</view>
			<view class="two_1">
				注意自我保护，谨防受骗上当。
			</view>
			<view class="two_1">
				适度游戏宜脑，沉迷游戏伤身体。
			</view>
			<view class="two_1">
				合理安排时间，享受健康时间。
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				basicInfo: {},
				timer: null,
			}
		},
		onLoad() {},
		onShow() {
			const that = this;
			that.search();
		},
		methods: {
			async search() {
				const that = this;
				let url = '/pagesAccount/register/index';
				// 可返回
				// uni.navigateTo({
				// 	url
				// })
				let res = await that.$api('appbasic', 'GET');
				if (res.errcode == '0') {
					that.$set(that, `basicInfo`, res.data)
					uni.setStorage({
						key: 'basicInfo',
						data: res.data,
						success: function() {
							// 不可返回
							// uni.redirectTo({
							// 	url
							// })
							// 可返回
							uni.navigateTo({
								url
							})
						}
					});

				} else {
					uni.showToast({
						title: res.errmsg,
						icon: 'none'
					})
				}
			},
		}
	}
</script>

<style lang="scss">
	.content {
		.one {
			flex-grow: 1;
			text-align: center;

			image {
				width: 50vw;
				height: 50vw;
				border-radius: 90%;
				box-shadow: 0 0 5px var(--rgbf1f);
				margin: 30vw 0 0 0;
			}

			.version {
				margin: 2vw 0 0 0;
			}
		}

		.two {
			text-align: center;
			padding: 10px 0;

			.two_1 {
				padding: 0 0 10px 0;
				font-size: 14px;
			}
		}
	}
</style>
